#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  utfcpp-4.0.9

- Next

  Wayland-Protocols-1.48

- Up
- Home

# Wayland-1.24.0

## Introduction to Wayland

Wayland is a project to define a protocol for a compositor to talk to its clients as well as a library implementation of the protocol.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://gitlab.freedesktop.org/wayland/wayland/-/releases/1.24.0/downloads/wayland-1.24.0.tar.xz

- Download MD5 sum: fda0b2a73ea2716f61d75767e02008e1

- Download size: 240 KB

- Estimated disk space required: 7.0 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

### Wayland Dependencies

#### Required

libxml2-2.15.3

#### Optional

Doxygen-1.17.0, Graphviz-14.1.5 and xmlto-0.0.29 (to build the API documentation) and docbook-xml-4.5, docbook-xsl-nons-1.79.2 and libxslt-1.1.45 (to build the manual pages)

## Installation of Wayland

Install Wayland by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release \
          -D documentation=false &&
    ninja

To test the results, issue: env -u XDG_RUNTIME_DIR ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D documentation=false`: This switch is used to disable building of the API documentation. Remove it if you have installed optional dependencies.

## Contents

Installed Programs: wayland-scanner
Installed Libraries: libwayland-client.so, libwayland-cursor.so, libwayland-egl.so, and libwayland-server.so
Installed Directories: /usr/share/wayland

### Short Descriptions

wayland-scanner | is a tool to generate proxy methods in wayland-client-protocol.h and wayland-server-protocol.h
`libwayland-client.so` | contains API functions for writing Wayland applications
`libwayland-cursor.so` | contains API functions for managing cursors in Wayland applications
`libwayland-egl.so` | contains API functions for handling OpenGL calls in Wayland applications
`libwayland-server.so` | contains API functions for writing Wayland compositors

- Prev

  utfcpp-4.0.9

- Next

  Wayland-Protocols-1.48

- Up
- Home